import { Icon, type IconProps } from '../../components/Icon.tsx'

export interface ArrowElbowUpRightIconProps extends IconProps {
  variant?: 'regular' | 'thin' | 'fill'
}

export function ArrowElbowUpRightIcon({ variant = 'regular', ...props }: ArrowElbowUpRightIconProps) {
  const src = (() => {
    switch (variant) {
      default:
      case 'regular':
        return <svg fill="currentColor" viewBox="0 0 256 256"><path d="m221.66 85.66-48 48a8 8 0 0 1-11.32-11.32L196.69 88H80v136a8 8 0 0 1-16 0V80a8 8 0 0 1 8-8h124.69l-34.35-34.34a8 8 0 0 1 11.32-11.32l48 48a8 8 0 0 1 0 11.32" /></svg>
      case 'thin':
        return <svg fill="currentColor" viewBox="0 0 256 256"><path d="m218.83 82.83-48 48a4 4 0 0 1-5.66-5.66L206.34 84H76v140a4 4 0 0 1-8 0V80a4 4 0 0 1 4-4h134.34l-41.17-41.17a4 4 0 0 1 5.66-5.66l48 48a4 4 0 0 1 0 5.66" /></svg>
      case 'fill':
        return <svg fill="currentColor" viewBox="0 0 256 256"><path d="m221.66 85.66-48 48A8 8 0 0 1 160 128V88H80v136a8 8 0 0 1-16 0V80a8 8 0 0 1 8-8h88V32a8 8 0 0 1 13.66-5.66l48 48a8 8 0 0 1 0 11.32" /></svg>
    }
  })()

  return <Icon src={src} data-name="ArrowElbowUpRight" {...props} />
}
